Skip to content

Update a note by ID

PUT
/info/notes/{id}
curl --request PUT \
--url https://sylve.lan:8181/api/info/notes/1 \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "content": "example", "title": "example" }'

Update a note in the database by its ID

id
required
integer
>= 1

Note ID

Note

Media typeapplication/json
object
content
required
string
>= 3 characters
title
required
string
>= 3 characters <= 128 characters
Examplegenerated
{
"content": "example",
"title": "example"
}

Success

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Invalid note ID

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Note not found

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}